# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de parametros del sistema 

# Programas 
NAME     = parametros.4ge 
OBJFILES = parglb001.4gl parmae001.4gl parqbx001.4gl 
FRMFILES = parmae001a.per 
LIBFILES = $(BASEDIR)/lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
